Package de.willuhn.jameica.hbci.server

# Class UmsatzTypUtil

java.lang.Object
de.willuhn.jameica.hbci.server.UmsatzTypUtil

public class UmsatzTypUtil extends Object
Hilfsklasse fuer die Umsatzkategorien.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UmsatzTypUtil.UmsatzTypUnassigned`
Virtuelle Umsatz-Typ-Bean fuer "nicht zugeordnet".

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UmsatzTyp`
`UNASSIGNED`
Virtueller Umsatz-Typ "Nicht zugeordnet".

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`compare(UmsatzTyp t1, UmsatzTyp t2)`
Vergleicht zwei Kategorien.
`static de.willuhn.datasource.rmi.DBIterator<UmsatzTyp>`
`getAll()`
Liefert eine Liste aller Umsatz-Kategorien, sortiert nach Nummer und Name.
`static List<UmsatzTypBean>`
`getList(UmsatzTyp skip, int typ)`
Liefert eine Liste mit den gesuchten Umsatz-Kategorien.
`static String`
`getNameForType(int type)`
Liefert einen sprechenden Namen fuer den Kategorie-Typ.
`static de.willuhn.datasource.rmi.DBIterator<UmsatzTyp>`
`getRootElements()`
Liefert eine Liste der Umsatz-Kategorien oberster Ebene.
`static de.willuhn.datasource.GenericIterator<UmsatzTypBean>`
`getTree(UmsatzTyp skip, int typ)`
Liefert einen Tree mit den gesuchten Umsatz-Kategorien.
`static String[]`
`splitQuery(String query, String separator)`
Trennt den Suchbegriff am Separator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNASSIGNED

public static final UmsatzTyp UNASSIGNED
Virtueller Umsatz-Typ "Nicht zugeordnet".

## Constructor Details

### UmsatzTypUtil

public UmsatzTypUtil()

## Method Details

### getNameForType

public static String getNameForType(int type)
Liefert einen sprechenden Namen fuer den Kategorie-Typ.

Parameters:
  `type` - Typ
Returns:
  sprechender Name.
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`
  - `UmsatzTyp.TYP_EGAL`

### getAll

public static de.willuhn.datasource.rmi.DBIterator<UmsatzTyp> getAll() throws RemoteException
Liefert eine Liste aller Umsatz-Kategorien, sortiert nach Nummer und Name.

Returns:
  Liste aller Umsatz-Kategorien.
Throws:
  `RemoteException`

### getRootElements

public static de.willuhn.datasource.rmi.DBIterator<UmsatzTyp> getRootElements() throws RemoteException
Liefert eine Liste der Umsatz-Kategorien oberster Ebene.

Returns:
  Liste der Umsatz-Kategorien oberster Ebene.
Throws:
  `RemoteException`

### getTree

public static de.willuhn.datasource.GenericIterator<UmsatzTypBean> getTree(UmsatzTyp skip, int typ) throws RemoteException
Liefert einen Tree mit den gesuchten Umsatz-Kategorien.

Parameters:
  `skip` - einzelner Umsatz-Typ, der nicht enthalten sein soll. Damit ist es zum Beispiel moeglich, eine Endlos-Rekursion zu erzeugen, wenn ein Parent ausgewaehlt werden soll, der User aber die Kategorie sich selbst als Parent zuordnet. Das kann hiermit ausgefiltert werden.
  `typ` - Filter auf Kategorie-Typen. Kategorien vom Typ "egal" werden grundsaetzlich angezeigt.
Returns:
  der Tree mit den Umsatz-Kategorien.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`

### getList

public static List<UmsatzTypBean> getList(UmsatzTyp skip, int typ) throws RemoteException
Liefert eine Liste mit den gesuchten Umsatz-Kategorien. Die Reihenfolge entspricht der von `UmsatzTypUtil`getTree(UmsatzTyp, int)``. Die Kategorien koennen also 1:1 in einer Liste angezeigt werden, wenn zur Anzeige `UmsatzTypBean#getIndented()` verwendet wird.

Parameters:
  `skip` - einzelner Umsatz-Typ, der nicht enthalten sein soll. Damit ist es zum Beispiel moeglich, eine Endlos-Rekursion zu erzeugen, wenn ein Parent ausgewaehlt werden soll, der User aber die Kategorie sich selbst als Parent zuordnet. Das kann hiermit ausgefiltert werden.
  `typ` - Filter auf Kategorie-Typen. Kategorien vom Typ "egal" werden grundsaetzlich angezeigt.
Returns:
  der Tree mit den Umsatz-Kategorien.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`

### compare

public static int compare(UmsatzTyp t1, UmsatzTyp t2) throws RemoteException
Vergleicht zwei Kategorien.

Parameters:
  `t1` - Kategorie 1.
  `t2` - Kategorie 2.
Returns:
  Sortierung.
Throws:
  `RemoteException`

### splitQuery

public static String[] splitQuery(String query, String separator)
Trennt den Suchbegriff am Separator. Escaping per "\" ist möglich.

Parameters:
  `query` - der Suchbegriff.
  `separator` - der Separator.
Returns:
  der zerlegte Suchbegriff.